USN-4488-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4488-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4488-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4488-1
Related
Published
2020-09-02T13:17:04.076491Z
Modified
2020-09-02T13:17:04.076491Z
Summary
xorg-server, xorg-server-hwe-16.04, xorg-server-hwe-18.04 vulnerabilities
Details

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled the input extension protocol. A local attacker could possibly use this issue to escalate privileges. (CVE-2020-14346)

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly initialized memory. A local attacker could possibly use this issue to obtain sensitive information. (CVE-2020-14347)

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled the XkbSelectEvents function. A local attacker could possibly use this issue to escalate privileges. (CVE-2020-14361)

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled the XRecordRegisterClients function. A local attacker could possibly use this issue to escalate privileges. (CVE-2020-14362)

References

Affected packages

Ubuntu:18.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.19.6-1ubuntu4.5

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xvfb": "2:1.19.6-1ubuntu4.5",
            "xserver-xorg-legacy": "2:1.19.6-1ubuntu4.5",
            "xdmx": "2:1.19.6-1ubuntu4.5",
            "xserver-xorg-dev": "2:1.19.6-1ubuntu4.5",
            "xorg-server-source": "2:1.19.6-1ubuntu4.5",
            "xserver-xorg-core": "2:1.19.6-1ubuntu4.5",
            "xserver-common": "2:1.19.6-1ubuntu4.5",
            "xnest": "2:1.19.6-1ubuntu4.5",
            "xserver-xephyr": "2:1.19.6-1ubuntu4.5",
            "xwayland": "2:1.19.6-1ubuntu4.5",
            "xdmx-tools": "2:1.19.6-1ubuntu4.5",
            "xserver-xorg-xmir": "2:1.19.6-1ubuntu4.5",
            "xmir": "2:1.19.6-1ubuntu4.5",
            "xserver-xorg-core-udeb": "2:1.19.6-1ubuntu4.5"
        }
    ]
}

Ubuntu:18.04:LTS / xorg-server-hwe-18.04

Package

Name
xorg-server-hwe-18.04

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.20.8-2ubuntu2.2~18.04.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xorg-server-source-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.2",
            "xserver-xorg-dev-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.2",
            "xserver-xorg-legacy-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.2",
            "xserver-xorg-core-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.2",
            "xserver-xephyr-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.2",
            "xwayland-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.2"
        }
    ]
}

Ubuntu:20.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.20.8-2ubuntu2.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xdmx-tools": "2:1.20.8-2ubuntu2.3",
            "xwayland": "2:1.20.8-2ubuntu2.3",
            "xvfb": "2:1.20.8-2ubuntu2.3",
            "xserver-xorg-legacy": "2:1.20.8-2ubuntu2.3",
            "xdmx": "2:1.20.8-2ubuntu2.3",
            "xserver-xorg-dev": "2:1.20.8-2ubuntu2.3",
            "xorg-server-source": "2:1.20.8-2ubuntu2.3",
            "xserver-xorg-core": "2:1.20.8-2ubuntu2.3",
            "xserver-common": "2:1.20.8-2ubuntu2.3",
            "xnest": "2:1.20.8-2ubuntu2.3",
            "xserver-xephyr": "2:1.20.8-2ubuntu2.3",
            "xserver-xorg-core-udeb": "2:1.20.8-2ubuntu2.3"
        }
    ]
}

Ubuntu:16.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.18.4-0ubuntu0.9

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xvfb": "2:1.18.4-0ubuntu0.9",
            "xserver-xorg-legacy": "2:1.18.4-0ubuntu0.9",
            "xdmx": "2:1.18.4-0ubuntu0.9",
            "xserver-xorg-dev": "2:1.18.4-0ubuntu0.9",
            "xorg-server-source": "2:1.18.4-0ubuntu0.9",
            "xserver-xorg-core": "2:1.18.4-0ubuntu0.9",
            "xserver-common": "2:1.18.4-0ubuntu0.9",
            "xnest": "2:1.18.4-0ubuntu0.9",
            "xserver-xorg-xmir": "2:1.18.4-0ubuntu0.9",
            "xwayland": "2:1.18.4-0ubuntu0.9",
            "xdmx-tools": "2:1.18.4-0ubuntu0.9",
            "xserver-xephyr": "2:1.18.4-0ubuntu0.9",
            "xmir": "2:1.18.4-0ubuntu0.9",
            "xserver-xorg-core-udeb": "2:1.18.4-0ubuntu0.9"
        }
    ]
}

Ubuntu:16.04:LTS / xorg-server-hwe-16.04

Package

Name
xorg-server-hwe-16.04

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.19.6-1ubuntu4.1~16.04.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xserver-xorg-dev-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3",
            "xmir-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3",
            "xserver-xorg-legacy-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3",
            "xwayland-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3",
            "xserver-xorg-core-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3",
            "xserver-xephyr-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3",
            "xorg-server-source-hwe-16.04": "2:1.19.6-1ubuntu4.1~16.04.3"
        }
    ]
}